osl::eval::ml::BishopExchangeSilverKing Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::BishopExchangeSilverKing Class Reference

`#include <kingTable.h>`

Collaboration diagram for osl::eval::ml::BishopExchangeSilverKing:
[legend]

## Public Types
enum | { BISHOP_ONE_DIM = 18 * 81 * (45*2), DIM = BISHOP_ONE_DIM*3 }

## Public Member Functions
template<osl::Player KingOwner>
int | evalOne (const NumEffectState &state, int offset)

## Static Public Member Functions
static void | setUp (const Weights &weights)
static int | eval (const NumEffectState &state)

## Static Private Member Functions
static int | indexKing (Square king)
static int | indexRook (Square rook)
static int | indexSilver (Square silver)
template<Player KingOwner>
static int | evalOne (const NumEffectState &state, int offset)

## Static Private Attributes
static CArray< int, DIM > | table

## Detailed Description

Definition at line 979 of file kingTable.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
BISHOP_ONE_DIM |
DIM |

Definition at line 1001 of file kingTable.h.

## Member Function Documentation

int osl::eval::ml::BishopExchangeSilverKing::eval | ( | const NumEffectState & | state) |  |
| static

Definition at line 1918 of file kingTable.cc.

References osl::BISHOP, osl::BLACK, osl::PAWN, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

template<Player KingOwner>

static int osl::eval::ml::BishopExchangeSilverKing::evalOne | ( | const NumEffectState & | state,
|  | int | offset
| ) |  |
| staticprivate

template<osl::Player KingOwner>

int osl::eval::ml::BishopExchangeSilverKing::evalOne | ( | const NumEffectState & | state,
|  | int | offset
| ) |  |

Definition at line 1943 of file kingTable.cc.

References osl::alt(), osl::Piece::isOnBoard(), osl::Square::nth(), osl::Piece::owner(), osl::playerToMul(), osl::ROOK, osl::SILVER, osl::Piece::square(), and osl::Square::squareForBlack().

static int osl::eval::ml::BishopExchangeSilverKing::indexKing | ( | Square | king) |  |
| inlinestaticprivate

Definition at line 981 of file kingTable.h.

References osl::Square::x(), and osl::Square::y().

static int osl::eval::ml::BishopExchangeSilverKing::indexRook | ( | Square | rook) |  |
| inlinestaticprivate

Definition at line 988 of file kingTable.h.

References osl::Square::isOnBoard(), osl::Square::x(), and osl::Square::y().

static int osl::eval::ml::BishopExchangeSilverKing::indexSilver | ( | Square | silver) |  |
| inlinestaticprivate

Definition at line 996 of file kingTable.h.

References osl::Square::x(), and osl::Square::y().

void osl::eval::ml::BishopExchangeSilverKing::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 1911 of file kingTable.cc.

References osl::eval::ml::Weights::dimension(), and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::CArray< int, 18 *81 *(45 *2)*3 > osl::eval::ml::BishopExchangeSilverKing::table
| staticprivate

Definition at line 1007 of file kingTable.h.

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc